# Makefile - JA2.dsp

ifndef CFG
CFG=ja2 - Win32 Demo Bounds Checker
endif
CC=gcc
CFLAGS=
CXX=g++
CXXFLAGS=$(CFLAGS)
RC=windres -O COFF
ifeq "$(CFG)"  "ja2 - Win32 Release"
CFLAGS+=-I/ -DNDEBUG -W -DCALLBACKTIMER -fexceptions -g -O2 -I"../../Standard Gaming Platform" -I./TileEngine -DWIN32 -I./Tactical -D_WINDOWS -I./Utils -DJA2 -I./TacticalAI -DPRECOMPILEDHEADERS -I./Editor -I./Strategic -I./Laptop -mcpu=pentium -D_M_IX86=500
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -L"../../Standard Gaming Platform/" -Wl,--subsystem,windows
LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
else
ifeq "$(CFG)"  "ja2 - Win32 Debug"
CFLAGS+=-ILaptop -W -D_DEBUG -DCALLBACKTIMER -fexceptions -g -O0 -I"../../Standard Gaming Platform" -I./TileEngine -DWIN32 -I./Tactical -D_WINDOWS -I./Utils -DJA2 -I./TacticalAI -DPRECOMPILEDHEADERS -I./Communications -D_VTUNE_PROFILING -I./Editor -I./Strategic
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lvtuneapi -lmss32 -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32
else
ifeq "$(CFG)"  "ja2 - Win32 Release with Debug Info"
CFLAGS+=-I./Laptop -DNDEBUG -Wall -DRELEASE_WITH_DEBUG_INFO -fexceptions -g -O2 -I"../../Standard Gaming Platform" -I./TileEngine -DCALLBACKTIMER -I./Tactical -DWIN32 -I./Utils -D_WINDOWS -I./TacticalAI -DJA2 -I./Communications -DPRECOMPILEDHEADERS -I./Editor -D_VTUNE_PROFILING -I./Strategic -mcpu=pentium -D_M_IX86=500
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lvtuneapi -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
else
ifeq "$(CFG)"  "ja2 - Win32 Bounds Checker"
CFLAGS+=-I./Laptop -W -D_DEBUG -DBOUNDS_CHECKER -fexceptions -g -O0 -I"../../Standard Gaming Platform" -I./TileEngine -DCALLBACKTIMER -I./Tactical -DWIN32 -I./Utils -D_WINDOWS -I./TacticalAI -DJA2 -I./Communications -DPRECOMPILEDHEADERS -I./Editor -D_VTUNE_PROFILING -I./Strategic
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lvtuneapi -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
else
ifeq "$(CFG)"  "ja2 - Win32 Debug Demo"
CFLAGS+=-I./Laptop -W -D_DEBUG -DJA2DEMO -fexceptions -g -O0 -I"i../../Standard Gaming Platform" -I./TileEngine -DCALLBACKTIMER -I./Tactical -DWIN32 -I./Utils -D_WINDOWS -I./TacticalAI -DJA2 -I./Communications -DPRECOMPILEDHEADERS -I./Editor -I./Strategic
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
else
ifeq "$(CFG)"  "ja2 - Win32 Release Demo"
CFLAGS+=-I./Laptop -DRELEASE_WITH_DEBUG_INFO -Wall -DNDEBUG -fexceptions -g -O2 -I"../../Standard Gaming Platform" -I./TileEngine -DJA2DEMO -I./Tactical -DCALLBACKTIMER -I./Utils -DWIN32 -I./TacticalAI -D_WINDOWS -I./Communications -DJA2 -I./Editor -DPRECOMPILEDHEADERS -I./Strategic -mcpu=pentium -D_M_IX86=500
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
else
ifeq "$(CFG)"  "ja2 - Win32 Demo Release with Debug Info"
CFLAGS+=-I./Laptop -DRELEASE_WITH_DEBUG_INFO -Wall -DNDEBUG -fexceptions -g -O2 -I"../../Standard Gaming Platform" -I./TileEngine -DJA2DEMO -I./Tactical -DCALLBACKTIMER -I./Utils -DWIN32 -I./TacticalAI -D_WINDOWS -I./Communications -DJA2 -I./Editor -DPRECOMPILEDHEADERS -I./Strategic -mcpu=pentium -D_M_IX86=500
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
else
ifeq "$(CFG)"  "ja2 - Win32 Demo Bounds Checker"
CFLAGS+=-I./Laptop -W -D_DEBUG -DBOUNDS_CHECKER -fexceptions -g -O0 -I"../../Standard Gaming Platform" -I./TileEngine -DJA2DEMO -I./Tactical -DCALLBACKTIMER -I./Utils -DWIN32 -I./TacticalAI -D_WINDOWS -I./Communications -DJA2 -I./Editor -DPRECOMPILEDHEADERS -I./Strategic
LD=$(CXX) $(CXXFLAGS)
LDFLAGS=
TARGET=../ja2.exe
LDFLAGS+=-Map ja2.map -Wl,--subsystem,windows
LIBS+=-lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -lwinmm -lsmackw32 -lmss32
endif
endif
endif
endif
endif
endif
endif
endif

ifndef TARGET
TARGET=ja2.exe
endif

.PHONY: all
all: $(TARGET)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<

%.o: %.cxx
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<

%.res: %.rc
	$(RC) $(CPPFLAGS) -o $@ -i $<

SOURCE_FILES= \
	Utils/_Ja25GermanText.c \
	aniviewscreen.c \
	Credits.c \
	"./Fade Screen.c" \
	GameInitOptionsScreen.c \
	gameloop.c \
	gamescreen.c \
	GameSettings.c \
	GameVersion.c \
	HelpScreen.c \
	Init.c \
	Intro.c \
	"./JA2 Splash.c" \
	Res/ja2.rc \
	jascreens.c \
	"./Loading Screen.c" \
	MainMenuScreen.c \
	MessageBoxScreen.c \
	"./Options Screen.c" \
	SaveLoadGame.c \
	SaveLoadScreen.c \
	SCREENS.C \
	"./Sys Globals.c"

HEADER_FILES= \
	builddefines.h \
	Credits.h \
	GameInitOptionsScreen.h \
	gameloop.h \
	GameSettings.h \
	"./JA2 All.h" \
	"./JA2 Demo Ads.h" \
	jascreens.h \
	"./Language Defines.h" \
	"./Loading Screen.h" \
	local.h \
	MessageBoxScreen.h \
	"./Options Screen.h" \
	SaveLoadGame.h \
	SaveLoadScreen.h \
	screenids.h \
	SCREENS.H \
	Strategic/strategicmap.h \
	"./Sys Globals.h" \
	VtuneApi.h

SRCS=$(SOURCE_FILES) $(HEADER_FILES)  \
	Res/jagged3.ico

OBJS=$(patsubst %.rc,%.res,$(patsubst %.cxx,%.o,$(patsubst %.cpp,%.o,$(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(filter %.c %.cc %.cpp %.cxx %.rc,$(SRCS)))))))

$(TARGET): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

.PHONY: clean
clean:
	-rm -f $(OBJS) $(TARGET) ja2.dep

.PHONY: depends
depends:
	-$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(filter %.c %.cc %.cpp %.cxx,$(SRCS)) > ja2.dep

-include ja2.dep

